﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="BuletinKlp01FE.Views.LoginPage"
             xmlns:CusEnt="clr-namespace:BuletinKlp01FE.Views.CustomRenderer"
             >

    <StackLayout>
        <Grid HeightRequest="230" >
            <Frame Grid.Row="0" BackgroundColor="{x:DynamicResource Color0}" CornerRadius="30" Margin="0,-35,0,0"/>
            <Frame Grid.Row="0" WidthRequest="80" HeightRequest="80" CornerRadius="40" Padding="0" Margin="0,0,0,20" HorizontalOptions="Center" VerticalOptions="Center">
                <Image Source="beta_logo.png" WidthRequest="80" HeightRequest="80" VerticalOptions="Center" HorizontalOptions="Center" />
            </Frame>
        </Grid>
        <StackLayout Margin="0,-50,0,0">
            <Frame Margin="20,0,20,0"
                   CornerRadius="10"
                   HorizontalOptions="FillAndExpand"
                   VerticalOptions="Center">
                <StackLayout>
                    <StackLayout Margin="0,20,0,20" HorizontalOptions="CenterAndExpand">
                        <Label Text="Login" TextColor="{x:DynamicResource Color0}" FontSize="Large" FontAttributes="Bold"/>
                    </StackLayout>
                    <StackLayout>
                        <CusEnt:CustomEntry Placeholder="Username" PlaceholderColor="#BFBFBF" TextColor="{x:DynamicResource Color0}"  HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" x:Name="Entry_Username"/>
                        <BoxView BackgroundColor="{x:DynamicResource Color0}" HeightRequest="1" Margin="0,-7,0,0" VerticalOptions="EndAndExpand"/>
                    </StackLayout>
                    <StackLayout>
                        <CusEnt:CustomEntry Placeholder="Password" PlaceholderColor="#BFBFBF" TextColor="{x:DynamicResource Color0}"  HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" x:Name="Entry_Password" IsPassword="True"/>
                        <BoxView BackgroundColor="{x:DynamicResource Color0}" HeightRequest="1" Margin="0,-7,0,0" VerticalOptions="EndAndExpand"/>
                    </StackLayout>
                    <Button Text="Login" Margin="0,40,0,0" BackgroundColor="{x:DynamicResource Color0}" TextColor="White" FontAttributes="Bold" CornerRadius="20" HorizontalOptions="Center" Padding="20, 0" HeightRequest="35"  Clicked="SignInProcedure" x:Name="LoginButton"/>
                    <Label HorizontalTextAlignment="Center"
                           VerticalTextAlignment="Start"
                           Margin='0,20,0,20'>
                        <Label.FormattedText>
                            <FormattedString>
                                <FormattedString.Spans>
                                    <Span Text="Don't have an account? "/>
                                    <Span Text="Sign up"
                                          TextColor="{x:DynamicResource Color0}" FontAttributes="Bold">
                                        <Span.GestureRecognizers>
                                            <TapGestureRecognizer Tapped="RedirectToSignupPageTrigger"/>
                                        </Span.GestureRecognizers>
                                    </Span>
                                </FormattedString.Spans>
                            </FormattedString>
                        </Label.FormattedText>
                    </Label>
                </StackLayout>
            </Frame>
        </StackLayout>
    </StackLayout>
</ContentPage>
